Subject: RE: question: DiffServ versus RSVP

From: Shahram Davari <[email-masked]>
Date: Thu, 14 Sep 2000 09:00:37 -0700

Hi,
 
Your confusion comes from the fact that RSVP is only used for Intserv and
not MPLS. But RSVP-TE can support:
 
1) MPLS signaling (for label distribution)
2) Intserv or Diffserv signaling (for indicating the CoS, BW, ...)
 
When somebody says that Diffserv eliminates RSVP, you should probably
interpret it as Diffserv eliminates RSVP use as Intserv signaling.
 
The other point is that Diffserv and RSVP-TE operate on completely different
dimensions (not different scale). RSVP-TE is used to setup the LSPs and
signal the QoS requirement, while Diffserv is the scheduling mechanism
implemented in an LSR. 
 
Regards,
-Shahram

-----Original Message-----
From: Robben Paul [mailto:[email-masked]]
Sent: Thursday, September 14, 2000 11:06 AM
To: [email-masked]
Subject: question: DiffServ versus RSVP

Hi,
 
I'm currently making a thesis regarding IP-based VPN's, paying special
attention to traffic engineering and QoS.
Something isn't clear to me. I read a couple of articles regarding the use
of explicit routes with CR-LDP and the extended RSVP.
Apparently, some companies prefer the former, others the latter, but there
doesn't seem to be an official statement yet of which one's the best. But
however, RSVP still is a "hot topic".
On the other hand, I also read some articles about DiffServ, mentionning
that DiffServ evolved from Intserv, which is based on RSVP, and that, within
some time, DiffServ will eliminate the need to use RSVP in WAN area's. 
 
I think I must be missing something here...
1. Some time ago, a reader from the MPLS-list described DiffServ as a
traffic light with reserved lanes for taxi's and busses. Its job is to help
prioritize things once congestion starts, and to penalize some flows to
allow others to get less delay or loss. So, I guess DiffServ doesn't operate
on the level of 1 LSP, but on a whole bunch of them?
2. On the other hand, the extended RSVP is a way to set up explicit routes.
So RSVP is important for each LSP separately?
 
So, I don't really understand how DiffServ could eliminate the use of
RSVP??? It seems to me that, although they both serve QoS, they are working
on a complete different scale...
 
Can anybody make me see the light in the darkness?
:)
Thanks in advance,
 
Françoise Beckers
(Global One)

---

From: David Charlap <[email-masked]>
Date: Thu, 14 Sep 2000 18:02:47 -0400

> interpret it as Diffserv eliminates RSVP use as Intserv signaling.

I usually interpret it as a misunderstanding of what the two protocols
are meant to provide.

Diffserv allows traffic to be broken up into different classes of
service - which are queued and prioritized separately.

It does not, however, provide a mechanism to define (in each router)
what specific QoS should be provided for each class.

These can be ignored (making Diffserv merely a priority scheme), they
can be hand-configured, they can be configured through network
management, or they can be signalled.

RSVP is one means by which these can be signalled.

RSVP and Diffserv solve two different problems.  There are situations
where it makes sense to use one, or the other, or both.

-- David